<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="fr">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="0c5c1ff4ab74e425">
        <source>Serving applications</source>
        <target state="translated">Servir des applications</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">7</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="edb36438cc06fead">
        <source>This is an unpolished draft of the third edition of this e-book. If you find any error or have suggestions to improve the text, please create an issue via https://github.com/CNP3/ebook/issues?milestone=3 or help us by providing pull requests to close the existing issues.</source>
        <target state="translated">Ceci est une ébauche non révisée de la troisième édition de cet e-book. Si vous trouvez une quelconque erreur ou avez des suggestions pour améliorer ce texte, n'hésitez pas à envoyer une issue via https://github.com/CNP3/ebook/issues?milestone=3 ou aidez-nous en fournissant une pull request afin de clore les issues existantes.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">10</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ea725087c218738b">
        <source>Open questions</source>
        <target state="translated">Questions ouvertes</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">14</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="24c0a4d877a0e898">
        <source>A reliable connection oriented transport places a 32 bits sequence number inside the segment header to number the segments. This sequence number is incremented for each data segment. The connection starts as shown in the figure below :</source>
        <target state="translated">Un transport fiable via connexion place un numéro de séquence de 32 bits à l'intérieur d'un segment header afin d'énumérer les segments. Ce numéro de séquence est incrémenté pour chaque segment data. La connexion commence comme montré dans la figure ci-dessous :</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ec7fc048f033a40a">
        <source>Continue the connection so that `Host B` sends `Hello` as data and `Host A` replies by sending `Pleased to meet you`. After having received the response, `Host B` closes the connection gracefully and `Host A` does the same. Discuss on the state that needs to be maintained inside each host.</source>
        <target state="translated">Continuez la connexion pour que l'`Hôte B` envoie comme donnée `Hello` et que l'`Hôte A` réponde en envoyant `Pleased to meet you`. Après avoir reçu la réponse, l'`Hôte B` termine la connexion gracefully et l'`Hôte A` fait de même. Discutez de l'état qui doit être maintenu pour chaque hôte.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">38</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="24076d1d7dbde858">
        <source>A transport connection that provides a message-mode service has been active for some time and all data has been exchanged and acknowledged in both directions. As in the exercise above, the sequence number is incremented after the transmission of each segment. At this time, `Host A` sends two DATA segments as shown in the figure below.</source>
        <target state="translated">Une liaison de transport qui fournit un service message-mode est active depuis un certain temps et toutes les données ont été échangées et accréditées dans les deux directions. Comme dans l'exercice avant, le numéro de séquence est incrémenté après la transmission de chaque segment. Cette fois-ci, l'`Hôte A` envoie deux segments DATA comme illustré dans la figure ci-dessous.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">40</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d30ee7ab548087ff">
        <source>What are the acknowledgments sent by `Host B`. How does `Host A` react and how does it terminate the connection ?</source>
        <target state="translated">Quels sont les acknowledgments envoyés par l'`Hôte B`. Comment réagit l'`Hôte A` et comment termine-t-il la connexion ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6f8135188e677509">
        <source>Consider a reliable connection-oriented transport protocol that provides the bytestream service. In this transport protocol, the sequence number that is placed inside each DATA segment reflects the position of the bytes in the bytestream. Considering the connection shown below, provide the DATA segments that are sent by `Host A` in response to the `DATA.request`, assuming that one segment is sent for each `DATA.request`.</source>
        <target state="translated">Considérez un protocole de transport par connexion qui fournit un service bytestream. Dans ce protocole, le numéro de séquence placé à l'intérieur de chaque segment DATA reflète la position des bytes dans le bytestream. En considérant la connexion illustrée ci-dessous, établissez les segments DATA qui sont envoyés par l'`Hôte A` en réponse au `Data.request`, en considérant qu'un segment est envoyé pour chaque `Data.request`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">60</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d876213466193f5d">
        <source>Same question as above, but consider now that the transport protocol tries to send large DATA segments whenever possible. For this exercise, we consider that a DATA segment can contain up to 8 bytes of data in the payload. Do not forget to show the acknowledgments in your answer.</source>
        <target state="translated">Même question qu'avant, en considérant cette fois-ci que le protocole de transport tente d'envoyer de larges segments DATA dès que possible. Pour cet exercice, nous considérons que le segment DATA peut contenir jusqu'à 8 bytes de données dans le payload. N'oubliez pas d'inclure les acknowledgments dans votre réponse.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">86</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ab016e6885bd98d">
        <source>Consider a transport protocol that provides a reliable connection-oriented bytestream service. You observe the segments sent by a host that uses this protocol. Does the time-sequence diagram below reflects a valid implementation of this protocol ? Justify your answer.</source>
        <target state="translated">Considérez un protocole de transport qui fournit un service bytestream par connexion. Vous observez les segments envoyés par un hôte qui utilise ce protocole. Est-ce que le diagramme de séquence ci-dessous reflète une implémentation valide de ce protocole ? Justifiez votre réponse.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">88</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d73cf35a84ba7abf">
        <source>In the above example, the two `DATA` segments were lost before arriving at the destination. Discuss the following scenario and explain how the receiver should react to the reception of the last `DATA` segment.</source>
        <target state="translated">Dans l'exemple ci-dessus, les deux segments `DATA` ont été perdus avant d'arriver à destination. Discutez du scénario suivant et expliquer comment le receiver devrait réagir lors de la réception du dernier segment `DATA`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">105</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="994bc18e59d49903">
        <source>A network layer service guarantees that a packet will never live during more than 100 seconds inside the network. Consider a reliable connection-oriented transport protocol that places a 32 bits sequence number inside each segment. What is the maximum rate (in segments per second) at which is should sent data segments to prevent having two segments with the same sequence number inside the network ?</source>
        <target state="translated">Un service de la couche réseau garantit qu'un paquet ne transitera pas plus de 100 secondes dans le réseau. Considérez un protocole de transport fiable par connexion qui place un numéro de séquence de 32 bits à l'intérieur de chaque segment. Quel est le taux maximum (en segments par seconde) auquel les segments de données devraient être envoyées pour éviter d'avoir deux segments avec le même numéro de séquence à l'intérieur du réseau ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">122</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="32b9b9b26dcbfee0">
        <source>Practice</source>
        <target state="translated">Exercices</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">126</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="aad8fffafb8479c2">
        <source>Amazon provides the `S3 storage service &lt;https://s3.amazonaws.com/&gt;`_ where companies and researchers can store lots of information and perform computations on the stored information. Amazon allows users to send files through the Internet, but also by sending hard-disks. Assume that a 1 Terabyte hard-disk can be delivered within 24 hours to Amazon by courier service. What is the minimum bandwidth required to match the bandwidth of this courier service ?</source>
        <target state="translated">Amazon fournit le `S3 storage service ‹https://s3.amazonaws.com/›`_ où les entreprises et les chercheurs peuvent stocker beaucoup d'information et effectuer des calculs sur l'information stockée. Amazon permet aux utilisateurs d'envoyer des fichiers via Internet, mais également en envoyant des disques durs. En considérant qu'un disque dur de 1 Terabyte peut être livré en 24 heures à Amazon par service postal. Quelle serait la bande passante minimale requise pour égaler le service postal ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">128</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ef6154c2f011bd25">
        <source>Discussion questions</source>
        <target state="translated">Questions de discussion</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">135</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c19d1031a94e4717">
        <source>In the transport layer, the receive window advertised by a receiver can vary during the lifetime of the connection. What are the causes for these variations ?</source>
        <target state="translated">Dans la couche de transport, la fenêtre de réception envoyée par un receiver peut varier tout au long de la durée de la connexion. Quels sont les causes de ces variations ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">137</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ab519e5837ae3813">
        <source>A reliable connection-oriented protocol can provide a message-mode service or a byte stream service. Which of the following usages of the sequence numbers is the best suited for each of these services ?</source>
        <target state="translated">Un protocole fiable par connexion peut fournir un service message-mode ou un service bytestream. Quels usages des numéros de séquence convient le mieux pour chacun de ces services ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">139</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="523d27f180bc5a80">
        <source>DATA segments contain a sequence number that is incremented for each byte transmitted</source>
        <target state="translated">Les segments DATA contiennent des numéros de séquence qui sont incrémentés pour chaque byte transmis</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">141</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1c88d804edd38453">
        <source>DATA segments contain a sequence number that is incremented for each DATA segment transmitted</source>
        <target state="translated">Les segments DATA contiennent des numéros de séquence qui sont incrémentés pour chaque segment DATA transmis</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">142</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9e1360141cb0ace6">
        <source>Some transport protocols use 32 bits sequence numbers while others use 64 bits sequence number. What are the advantages and drawbacks of each approach ?</source>
        <target state="translated">Certains protocoles de transport utilisent des numéros de séquence sur 32 bits alors que d'autres utilisent des numéros de séquence sur 64 bits. Quels sont les avantages les inconvénients de chaque approche ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">144</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="837595e0f48e9586">
        <source>Consider a transport protocol that provides the bytestream service and uses 32 bits sequence number to represent the position of the first byte of the payload of DATA segments in the bytestream. How would you modify this protocol so that it can provide a message-mode service ? Consider first short messages that always fit inside a single segment. In a second step, discuss how you could support messages of unlimited size.</source>
        <target state="translated">Considérez un protocole de transport qui fournit un service bytestream et utilise des numéros de séquence sur 32 bits afin de représenter la position du premier byte du payload des segments DATA dans le bytestream. Quels changements apporteriez-vous au protocole de sorte à ce qu'il puisse fournir un service message-mode ? Considérez d'abord l'envoi de messages courts qui ne dépassent pas la taille d'un seul segment. Dans un second temps, discutez de comment vous feriez pour pouvoir gérer des messages de taille illimitée.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">146</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ce3544db2901348e">
        <source>What is piggybacking and what are the benefits of this technique ?</source>
        <target state="translated">Qu'est-ce que le piggybacking et quels sont les avantages de cette technique ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">148</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c463aea6549199a2">
        <source>Footnotes</source>
        <target state="translated">Notes de pied de page</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/transport.rst</context>
          <context context-type="linenumber">155</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
